Pipedrive

Integrate your application with the Pipedrive API

🚀 Quickstart

Connect to Pipedrive with Tenklo and see data flow in 2 minutes.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> Pipedrive.

Authorize Pipedrive

Go to Connections -> Add Test Connection -> Authorize, then log in to Pipedrive. Later, you'll let your users do the same directly from your app.

Call the Pipedrive API

Let's make your first request to the Pipedrive API (get a list of deals). Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/v2/deals?limit=10" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials with the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own production credentials, follow the setup guide linked below.

📚 Pipedrive Integration Guides

Nango-maintained guides for common use cases.

Official docs: Pipedrive OAuth 2.0 Documentation, Pipedrive API Documentation

🧩 Pre-built syncs & actions for Pipedrive

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Others

Function nameDescriptionTypeSource code
create-activityCreate a new activity in Pipedrive.Action🔗 Github
create-dealCreate a deal in PipedriveAction🔗 Github
create-leadCreate a lead in PipedriveAction🔗 Github
create-noteCreate a note in Pipedrive.Action🔗 Github
create-organizationCreate a organization in Pipedrive.Action🔗 Github
create-personCreate a person in Pipedrive.Action🔗 Github
create-pipelineCreate a pipeline in PipedriveAction🔗 Github
create-productCreate a product in Pipedrive.Action🔗 Github
create-stageCreate a stage in PipedriveAction🔗 Github
delete-activityDelete or archive a activity in Pipedrive.Action🔗 Github
delete-dealDelete or archive a deal in Pipedrive.Action🔗 Github
delete-leadDelete or archive a lead in Pipedrive.Action🔗 Github
delete-noteDelete or archive a note in PipedriveAction🔗 Github
delete-organizationDelete or archive a organization in Pipedrive.Action🔗 Github
delete-personDelete or archive a person in Pipedrive.Action🔗 Github
delete-pipelineDelete or archive a pipeline in PipedriveAction🔗 Github
delete-productDelete or archive a product in Pipedrive.Action🔗 Github
delete-stageDelete or archive a stage in Pipedrive.Action🔗 Github
get-activityRetrieve a single activity from Pipedrive.Action🔗 Github
get-dealRetrieve a single deal from Pipedrive.Action🔗 Github
get-leadRetrieve a single lead from Pipedrive.Action🔗 Github
get-noteRetrieve a single note from Pipedrive.Action🔗 Github
get-organizationRetrieve a single organization from Pipedrive.Action🔗 Github
get-personRetrieve a single person from Pipedrive.Action🔗 Github
get-pipelineRetrieve a single pipeline from Pipedrive.Action🔗 Github
get-productRetrieve a single product from Pipedrive.Action🔗 Github
get-stageRetrieve a single stage from Pipedrive.Action🔗 Github
get-userRetrieve a single user from Pipedrive.Action🔗 Github
list-activitiesList activities from PipedriveAction🔗 Github
list-dealsList deals from PipedriveAction🔗 Github
list-leadsList leads from Pipedrive.Action🔗 Github
list-notesList notes from Pipedrive.Action🔗 Github
list-organizationsList organizations from Pipedrive.Action🔗 Github
list-personsList persons from PipedriveAction🔗 Github
list-pipelinesList pipelines from PipedriveAction🔗 Github
list-productsList products from Pipedrive.Action🔗 Github
list-stagesList stages from PipedriveAction🔗 Github
list-usersList users from PipedriveAction🔗 Github
update-activityUpdate a activity in PipedriveAction🔗 Github
update-dealUpdate a deal in PipedriveAction🔗 Github
update-leadUpdate a lead in PipedriveAction🔗 Github
update-noteUpdate a note in Pipedrive.Action🔗 Github
update-organizationUpdate a organization in Pipedrive.Action🔗 Github
update-personUpdate a person in PipedriveAction🔗 Github
update-pipelineUpdate a pipeline in PipedriveAction🔗 Github
update-productUpdate a product in Pipedrive.Action🔗 Github
update-stageUpdate a stage in PipedriveAction🔗 Github
activitiesSync activities from PipedriveSync🔗 Github
dealsSync deals from Pipedrive.Sync🔗 Github
leadsSync leads from Pipedrive.Sync🔗 Github
notesSync notes from PipedriveSync🔗 Github
organizationsSync organizations from Pipedrive.Sync🔗 Github
personsSync persons from Pipedrive.Sync🔗 Github
pipelinesSync pipelines from Pipedrive.Sync🔗 Github
productsSync products from Pipedrive.Sync🔗 Github
stagesSync stages from PipedriveSync🔗 Github
usersSync users from Pipedrive.Sync🔗 Github

On this page